<?xml version="1.0" encoding="UTF-8"?>

<xsd:schema targetNamespace="http://www.irs.gov/efile" xmlns="http://www.irs.gov/efile" xmlns:xsd="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0">

	<xsd:annotation>
		<xsd:documentation>
			<Description>IRS e-file Income Tax Schema - Identify Sets of Books and Income Loss Schedule</Description>
			<TaxYear>2012</TaxYear>
			<MaturityLevel>Draft Release</MaturityLevel>
			<ReleaseDate>September 5, 2012</ReleaseDate>
		</xsd:documentation>
	</xsd:annotation>

	<xsd:include schemaLocation="../../../Common/efileTypes.xsd"/>

	<!-- =========================================================== -->
	<!-- ==== Identify Sets of Books and Income Loss Schedule ==== -->
	<!-- =========================================================== -->

	<xsd:element name="IdSetsOfBooksAndIncomeLossSch">
		<xsd:annotation>
			<xsd:documentation>Identify Sets of Books and Income Loss Schedule</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:complexContent>
				<xsd:extension base="IdSetsOfBooksAndIncomeLossSchType">
					<xsd:attributeGroup ref="DocumentAttributes">
						<xsd:annotation>
							<xsd:documentation>Common return document attributes</xsd:documentation>
						</xsd:annotation>
					</xsd:attributeGroup>
					<xsd:attribute name="documentName" type="xsd:string" fixed="IdentifySetsOfBooksAndIncomeLossSchedule">
						<xsd:annotation>
							<xsd:documentation>IRS internal use only. To avoid error in the return, do not include the attribute name or value.</xsd:documentation>
						</xsd:annotation>
					</xsd:attribute>
				</xsd:extension>
			</xsd:complexContent>
		</xsd:complexType>
	</xsd:element>

	<xsd:complexType name="IdSetsOfBooksAndIncomeLossSchType">
		<xsd:annotation>
			<xsd:documentation>Content model for identify sets of books and income loss schedule</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>

			<!-- Identify Sets of Books And Income  -->
			<xsd:element name="IdentifySetsBooksAndIncomeInfo" type="IdentifySetsBooksAndIncomeInfoType" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Identify sets of books and income info</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="IdentifySetsBooksAndIncomeInfoType">
		<xsd:annotation>
			<xsd:documentation>Content model for identify sets of books and income info</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>

			<!-- Identify Each Book Used -->
			<xsd:element name="IdentifyEachBookUsed" type="LineExplanationType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Identify each book used</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Net Income or Loss For Each Book That is Included on Part I, Line 4 -->
			<xsd:element name="BookNetIncomeLoss" type="USAmountType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Net income or loss for each book that is included on Part I, line 4</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		</xsd:sequence>
	</xsd:complexType>

</xsd:schema>
